| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IHiveWhiteBoard Class Referenceabstract

`#include <GaudiKernel/IHiveWhiteBoard.h>`

Inheritance diagram for IHiveWhiteBoard:
[legend]
Collaboration diagram for IHiveWhiteBoard:
[legend]

## Public Member Functions
| DeclareInterfaceID (IHiveWhiteBoard, 1, 0)
| InterfaceID. More...
virtual StatusCode | selectStore (size_t partitionIndex)=0
| Activate an given 'slot' for all subsequent calls within the same thread id. More...
virtual StatusCode | clearStore (size_t partitionIndex)=0
| Clear an given 'slot'. More...
virtual StatusCode | setNumberOfStores (size_t slots)=0
| Set the number of 'slots'. More...
virtual size_t | getNumberOfStores () const =0
| Get the number of 'slots'. More...
virtual StatusCode | getNewDataObjects (DataObjIDColl &products)=0
| Get the latest new data objects registred in store. More...
virtual bool | newDataObjectsPresent ()=0
| Check if something is new in the whiteboard without getting the products. More...
virtual size_t | allocateStore (int evtnumber)=0
| Allocate a store partition for new event. More...
virtual StatusCode | freeStore (size_t partitionIndex)=0
| Free a store partition. More...
virtual size_t | getPartitionNumber (int eventnumber) const =0
| Get the partition number corresponding to a given event. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Author
  Pere Mato
  Danilo Piparo

Version
  1.0

Definition at line 17 of file IHiveWhiteBoard.h.

## Member Function Documentation

virtual size_t IHiveWhiteBoard::allocateStore | ( | int | evtnumber | ) |
| pure virtual

Allocate a store partition for new event.

Parameters

  evtnumber | [IN] Event number
  partition | [OUT] Returned slot or partition number

Returns
  Partition number (npos to indicate an error).

virtual StatusCode IHiveWhiteBoard::clearStore | ( | size_t | partitionIndex | ) |
| pure virtual

Clear an given 'slot'.

Parameters

  partition | [IN] Partition number (event slot) *

Returns
  Status code indicating failure or success.

IHiveWhiteBoard::DeclareInterfaceID | ( | IHiveWhiteBoard | ,
|  | 1 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IHiveWhiteBoard::freeStore | ( | size_t | partitionIndex | ) |
| pure virtual

Free a store partition.

Parameters

  partition | [IN] Partition number

Returns
  Status code indicating failure or success.

virtual StatusCode IHiveWhiteBoard::getNewDataObjects | ( | DataObjIDColl & | products | ) |
| pure virtual

Get the latest new data objects registred in store.

Parameters

  products | [IN] Partition number (event slot) *

Returns
  Status code indicating failure or success.

virtual size_t IHiveWhiteBoard::getNumberOfStores | ( |  | ) | const
| pure virtual

Get the number of 'slots'.

Returns
  Number of event stores allocated in the whiteboard

virtual size_t IHiveWhiteBoard::getPartitionNumber | ( | int | eventnumber | ) | const
| pure virtual

Get the partition number corresponding to a given event.

Parameters

  evtnumber | [IN] Event number

Returns
  Partition number (npos to indicate an error).

virtual bool IHiveWhiteBoard::newDataObjectsPresent | ( |  | ) |
| pure virtual

Check if something is new in the whiteboard without getting the products.

Parameters

  products | [IN] Partition number (event slot) *

Returns
  Boolean indicating the presence of new products

virtual StatusCode IHiveWhiteBoard::selectStore | ( | size_t | partitionIndex | ) |
| pure virtual

Activate an given 'slot' for all subsequent calls within the same thread id.

Parameters

  partition | [IN] Partition number (event slot) *

Returns
  Status code indicating failure or success.

virtual StatusCode IHiveWhiteBoard::setNumberOfStores | ( | size_t | slots | ) |
| pure virtual

Set the number of 'slots'.

Parameters

  partition | [IN] Partition number (event slot) *

Returns
  Status code indicating failure or success.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IHiveWhiteBoard.h